import { AfterContentInit, AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnInit, QueryList } from '@angular/core';
import { AccordionService } from './accordion.service';
export declare class AccordionTabComponent implements OnInit, AfterViewInit {
    accordion: AccordionComponent;
    private el;
    private accordionService;
    private cdr;
    /** @prop Set Accordion tab header string | false  */
    header: string;
    /** @prop Set accordion tab to be expanded | false  */
    isExpanded: boolean;
    /** @prop Set the attribute disabled to the accordion tab | false */
    disabled: boolean;
    /** @prop Optional accordion tab css class string | '' */
    className: string;
    /** @prop Set the height of the AccordionHeader to either the default or 56px | '' */
    height: number;
    /** @prop Optional underline under Accordion menu item | false */
    showSeparator: boolean;
    /** @prop Optional accordion header css class string | '' */
    headerClass: string;
    headerRef: ElementRef;
    contentRef: ElementRef;
    /** @prop Handler to be called when the user taps the Accordion Tab | null */
    contentClick: EventEmitter<any>;
    /** @prop Handler to be called when the user presses a key | null */
    handleKeyDown: EventEmitter<any>;
    index: any;
    focus: any;
    constructor(accordion: AccordionComponent, el: ElementRef, accordionService: AccordionService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    handleContentClick(event: Event): void;
    toggle(event: any): boolean;
    findTabIndex(): number;
    getNewIndex(currentIndex: any, change: any, lastIdx: any): any;
    onKeyDown(event: KeyboardEvent): void;
}
export declare class AccordionComponent implements AfterContentInit, AfterViewInit {
    /** @prop Set to allow expansion of multiple AccordionGroups | false */
    multipleVisible: boolean;
    /** @prop Optional css class string | '' */
    class: string;
    /** @prop Specifies if AccordionHeader automatically gets focus when page loads | false  */
    focus: boolean;
    tabList: QueryList<AccordionTabComponent>;
    tabs: AccordionTabComponent[];
    constructor();
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
}
